GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::util::CoordinateArrayFilter Class Reference

`#include <CoordinateArrayFilter.h>`

Inheritance diagram for geos::util::CoordinateArrayFilter:

## Public Member Functions
| CoordinateArrayFilter (geom::Coordinate::ConstVect &target)
virtual void | filter_ro (const geom::Coordinate *coord)
Public Member Functions inherited from geos::geom::CoordinateFilter
virtual void | filter_rw (Coordinate *) const

## Detailed Description

A CoordinateFilter that adds read-only pointers to every Coordinate in a Geometry to a given vector.

Last port: util/CoordinateArrayFilter.java rev. 1.15

## Constructor & Destructor Documentation

geos::util::CoordinateArrayFilter::CoordinateArrayFilter | ( | geom::Coordinate::ConstVect & | target | ) |
| inline

Constructs a CoordinateArrayFilter.

Parameters

  target | The destination vector.

## Member Function Documentation

virtual void geos::util::CoordinateArrayFilter::filter_ro | ( | const geom::Coordinate * |  | ) |
| inline virtual

Performs an operation with `coord`.

Parameters

  coord | a `Coordinate` to which the filter is applied.

Reimplemented from geos::geom::CoordinateFilter.

The documentation for this class was generated from the following file:

- CoordinateArrayFilter.h